
Name:		scidavis
Version:	1.22
Release:	%mkrel 1
Summary:	An application for Scientific Data Analysis and Visualization
License:	GPLv2+
Group:		Sciences/Other
Url:		http://scidavis.sourceforge.net/
Source0:	http://download.sourceforge.net/sourceforge/scidavis/%{name}-%{version}.tar.xz
Source1:    scidavis.desktop
Patch0:		scidavis-1.22-qwtplot3d-headers.patch
Patch1:		scidavis-1.22-set_python_path.patch
Patch2:		scidavis-1.22-fix_manpage_path.patch

#------------------------------------
BuildRequires: lib64gsl-devel
BuildRequires: lib64mesaglu1-devel
BuildRequires: lib64muparser-devel
BuildRequires: lib64python-devel
BuildRequires: lib64qt4-devel 
BuildRequires: lib64qtwebkit4-devel
BuildRequires: mesa-devel
BuildRequires: lib64qwt5-devel
BuildRequires: lib64qwtplot3d-devel
#------------------------------------

%description
SciDAVis is a free interactive application aimed at data analysis and
publication-quality plotting. It combines a shallow learning curve and
an intuitive, easy-to-use graphical user interface with powerful
features such as scriptability and extensibility.

%files
%doc CHANGES README.md gpl.txt scidavis.css manual/
%doc scidavis-logo.png scidavis-logo.svg
%{python2_sitearch}/%{name}/
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/locolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/%{name}.1*

%prep
%setup -q
%apply_patches

%build

%qmake_qt4 \
	%if "%{_lib}" != "lib"
		libsuff=64 \
	%endif
		PRESET=linux_package \
		CONFIG+=aegis \
		CONFIG+=python

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications/scidavis.desktop

# translations
install -d %{buildroot}%{_datadir}/%{name}/translations
install -D -m644 %{name}/translations/*.qm %{buildroot}%{_datadir}/%{name}/translations/

# KDE3 remnant - upstream is aware
rm -rf %{buildroot}%{_datadir}/mimelnk/

%changelog
* Tue Dec 12 2017 bb2 <bb2> - 1.22-1pclos2017
- new version

* Thu Jul 20 2017 bb2 <bb2> - 0.2.4-1pclos2017
- import

